{%extends 'base_admin.html'%}
{%block title%}Admin | Set Featured Job{%endblock title%}

{%block content%}
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
        
        <!---Admin_header -->
        {%include 'admin_header.html'%}
        <!-- Admin_header-->

        <div class="wrapper row-offcanvas row-offcanvas-left">
            

            <!-- admin left side menu -->

            {%include 'admin_leftside_menu.html'%}

             <!-- admin left side menu -->

            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="{%url 'admin_panel'%}"><i class="fa fa-dashboard"></i>Home</a></li>
                        <li class="active">Add Article Category</li>
                    </ol>
                </section>

                <!-- Main content -->

                 <section class="content">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            

                            <!-- Form Element sizes -->
                            
                            <!-- /.box -->

                            <!-- Input addon -->
                        
                        


                        </div><!--/.col (left) -->
                        <!-- right column -->
                        <div class="col-md-12">
                            <!-- general form elements disabled -->
                            
                            <div class="box">
                                <div class="box-header">
                                    <h3 class="box-title">Set Featured Job</h3>
                                </div><!-- /.box-header -->

                                {%if del_error%}
                                <div class="form-group has-error">
                                <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Failed To Delete Category</label>
                                </div>
                                {%endif%}




                                 <div class="box-body table-responsive">
                                    <table id="example2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Job Title</th>
                                                <th>Company Name</th>
                                                <th>Job Category</th>
                                                <th>Job Type</th>
                                                <th>Job Role</th>
                                                <th>Location</th>  
                                                <th>Salary</th>   
                                                <th>Deadline</th>
                                                
                                               
                                                <th>Featured</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        {%if all_jobs%}
                                        {%for job in all_jobs%}
                                            <tr>
                                                <td>{{job.id}}</td>
                                                <td><strong>
                                                {%ifequal job.featured True%}
                                                <span style="color:green">{{job.jobTitle}}</span>
                                                {%else%}
                                                {{job.jobTitle}}
                                                {%endifequal%}
                                                </strong></td>
                                                <td>{{job.companyName}}</td>
                                                <td>{{job.jobCategory}}</td>
                                                <td>{{job.jobType}}</td>
                                                <td>{{job.jobRole}}</td>
                                                <td>{{job.jobLocation}}</td>
                                                <td>{{job.jobSalary}}</td>
                                                <td>{{job.applyDeadline}}</td>
                                               
                                                <td align="center">
                                                {%ifequal job.featured False%}
                                                <a href="{% url 'make_featured' job.id%}" onClick="return confirmFeatured();"><i class="glyphicon glyphicon-flag"></i></a>
                                                {%else%}
                                                <a href="{% url 'make_featured' job.id%}" onClick="return confirmUnfeatured();" ><i class="glyphicon glyphicon-ban-circle"></i></a>

                                                {%endifequal%}
                                                </td>
                                            </tr>
                                        {%endfor%}
                                           
                                        </tbody>
                                
                                    </table>
                                </div>

                               <!-- /.box-body -->
                                
                            </div>
                            {%endif%}


                            <!-- /.box -->
                        </div><!--/.col (right) -->

               

                    </div>   <!-- /.row -->
                </section>
                <!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->

        <!-- add new calendar event modal -->


       <!-- footer -->
       
       <!-- footer -->

       <!--all table related js -->
        {%include 'admin_data_table.html'%}
        <!--all table related js -->


</body>
</html>

<script LANGUAGE="JavaScript">
<!--
function confirmFeatured()
{
var agree=confirm("Are you sure you want to set this item as a Featured Job?");
if (agree)
return true ;
else
return false ;
}



function confirmUnfeatured()
{
var agree=confirm("Are you sure you want to set this item as general Job?");
if (agree)
return true ;
else
return false ;
}
// -->
</script>
{%endblock content%}